<?php
/**
 * Aheadworks Inc.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the EULA
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://ecommerce.aheadworks.com/end-user-license-agreement/
 *
 * @package    Followupemail2
 * @version    2.2.3
 * @copyright  Copyright (c) 2020 Aheadworks Inc. (http://www.aheadworks.com)
 * @license    https://ecommerce.aheadworks.com/end-user-license-agreement/
 */
namespace Aheadworks\Followupemail2\Ui\Component\Form\Email;

/**
 * Class StoreViewField
 * @package Aheadworks\Followupemail2\Ui\Component\Form
 * @codeCoverageIgnore
 */
class EmailSend extends \Magento\Ui\Component\Container
{
    /**
     * {@inheritdoc}
     */
    public function prepare()
    {
        if ($this->context->getDataProvider()->isPredictionEnabled()) {
            $hiddenFieldNames = ['email_send_hours', 'email_send_minutes'];
        } else {
            $hiddenFieldNames =  ['when'];
        }

        foreach ($this->components as $component) {
            if (in_array($component->getName(), $hiddenFieldNames)) {
                $config = $component->getConfig();
                $config['visible'] = false;
                $component->setConfig($config);
            }
        }
        parent::prepare();
    }
}
